Bug 30498 - Enum search_field.type should contain year in kohastructure
Summary: Enum search_field.type should contain year in kohastructure
Status: Pushed to stable
Alias: None
Product: Koha
Classification: Unclassified
Component: Database (show other bugs)
Version: master
Hardware: All All
: P5 - low normal (vote)
Assignee: Marcel de Rooy
QA Contact: Testopia
URL:
Keywords:
Depends on:
Blocks: 30486
  Show dependency treegraph
 
Reported: 2022-04-08 09:15 UTC by Marcel de Rooy
Modified: 2022-04-15 12:14 UTC (History)
2 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Documentation contact:
Documentation submission:
Text to go in the release notes:
Version(s) released in:
22.05.00,21.11.05


Attachments
Bug 30498: Fix enum search_field.type (2.42 KB, patch)
2022-04-08 09:23 UTC, Marcel de Rooy
Details | Diff | Splinter Review
Bug 30498: Corresponding DBIx change for SearchField (1.79 KB, patch)
2022-04-08 09:39 UTC, Marcel de Rooy
Details | Diff | Splinter Review
Bug 30498: Fix enum search_field.type (2.44 KB, patch)
2022-04-10 22:54 UTC, Victor Grousset/tuxayo
Details | Diff | Splinter Review
Bug 30498: Corresponding DBIx change for SearchField (1.81 KB, patch)
2022-04-10 22:54 UTC, Victor Grousset/tuxayo
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Marcel de Rooy 2022-04-08 09:15:05 UTC
Conflict with dbrev:

$DBversion = '20.06.00.038'; ALTER TABLE `search_field` MODIFY COLUMN `type` enum('','string','date','number','boolean','sum','isbn','stdno','year') NOT NULL

kohastructure:
  `type` enum('','string','date','number','boolean','sum','isbn','stdno') COLLATE utf8mb4_unicode_ci NOT NULL COMMENT 'what type of data this holds, relevant when storing it in the search engine',

Subtle other change: no comment in dbrev.
Comment 1 Marcel de Rooy 2022-04-08 09:23:34 UTC
Created attachment 133108 [details] [review]
Bug 30498: Fix enum search_field.type

Resolves sync issue with upgrades.

Test plan:
Run dbrev.

Signed-off-by: Marcel de Rooy <m.de.rooy@rijksmuseum.nl>
Comment 2 Marcel de Rooy 2022-04-08 09:23:57 UTC
Trivial: self SO
Comment 3 Marcel de Rooy 2022-04-08 09:39:25 UTC
Created attachment 133109 [details] [review]
Bug 30498: Corresponding DBIx change for SearchField

No test plan.

Signed-off-by: Marcel de Rooy <m.de.rooy@rijksmuseum.nl>
Comment 4 Victor Grousset/tuxayo 2022-04-10 22:54:00 UTC
Created attachment 133137 [details] [review]
Bug 30498: Fix enum search_field.type

Resolves sync issue with upgrades.

Test plan:
Run dbrev.

Signed-off-by: Marcel de Rooy <m.de.rooy@rijksmuseum.nl>
Signed-off-by: Victor Grousset/tuxayo <victor@tuxayo.net>
Comment 5 Victor Grousset/tuxayo 2022-04-10 22:54:04 UTC
Created attachment 133138 [details] [review]
Bug 30498: Corresponding DBIx change for SearchField

No test plan.

Signed-off-by: Marcel de Rooy <m.de.rooy@rijksmuseum.nl>
Signed-off-by: Victor Grousset/tuxayo <victor@tuxayo.net>
Comment 6 Victor Grousset/tuxayo 2022-04-10 22:55:08 UTC
Looks good, thanks for syncing the DB :)
Comment 7 Fridolin Somers 2022-04-13 13:58:48 UTC
Pushed to master for 22.05, thanks to everybody involved 🦄
Comment 8 Kyle M Hall 2022-04-15 12:14:50 UTC
Pushed to 21.11.x for 21.11.05